Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class PicoCompositionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.PicoCompositionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException, SingleMemberInjector.ParameterCannotBeNullException

    public class PicoCompositionException

extends PicoException

Subclass of `PicoException` that is thrown when there is: - a problem initializing the container - a cyclic dependency between components occurs. - problem adding a component - a request for a component that is ambiguous.

See Also:
  Serialized Form

Constructor Summary
`PicoCompositionException(String message)` Construct a new exception with no cause and the specified detail message.
`PicoCompositionException(String message, Throwable cause)` Construct a new exception with the specified cause and the specified detail message.
`PicoCompositionException(Throwable cause)` Construct a new exception with the specified cause and no detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PicoCompositionException

    public PicoCompositionException(String message)

  Construct a new exception with no cause and the specified detail message. Note modern JVMs may still track the exception that caused this one.

  Parameters:
    `message` - the message detailing the exception.

### PicoCompositionException

    public PicoCompositionException(Throwable cause)

  Construct a new exception with the specified cause and no detail message.

  Parameters:
    `cause` - the exception that caused this one.

### PicoCompositionException

    public PicoCompositionException(String message,
                                    Throwable cause)

  Construct a new exception with the specified cause and the specified detail message.

  Parameters:
    `message` - the message detailing the exception.
    `cause` - the exception that caused this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.